- MongoDB C Driver 1.13.1 »
- API Reference »
- mongoc_read_prefs_t

# mongoc_read_prefs_is_valid()

## Synopsis

    bool
    mongoc_read_prefs_is_valid (const mongoc_read_prefs_t *read_prefs);

## Parameters

- `read_prefs`: A mongoc_read_prefs_t.

## Description

Performs a consistency check of `read_prefs` to ensure it makes sense and can be satisfied.

This only performs local consistency checks.

## Returns

Returns true if the read pref is valid.

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.